<?xml version="1.0" ?>
<?media-stylesheet version="2"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/TR/WD-xsl">
<xsl:template match="/">
<HTML>
<HEAD>
<META NAME="VI60_defaultClientScript" CONTENT="VBScript"></META>
<!--
*****************************************************************************************
*"The content of this document is NCR Intellectual Property and is the property of		*
*NCR Financial Solutions Group Limited.  It is to be treated as strictly confidential	*
*and is not to be disclosed, reproduced , or used except as authorised in writing by	*
*NCR in connection with the manufacture, maintenance , and use of the NCR equipment to	*
*which it pertains"																		*		
*																						*
*"Copyright 2003 NCR Financial Solutions Group Limited"									*
*****************************************************************************************
-->
<SCRIPT ID="clientEventHandlersVBS" LANGUAGE="vbSCRIPT">
'****************************************************************
'Variable Declaration and initialisation.
'****************************************************************
Dim m_sPresentationGUID						'GUID of this instance of Communication.
Dim m_sChildCommunicationID_Array			'Array for holding m_oCommunication ID's
Dim m_iCurrentIDIndex						'Index for Current Id being used.
Dim m_iNumOfChildren						'The Number of Child Communications making up the Loop
Dim m_bFirstPass							'Flag to set when the "Complete" is being sent to parent communication for first time.

'Flags  indicating ready and completion states of the child Communications.

Dim m_bChildComm1Completed
Dim m_bChildComm2Completed
Dim m_bChildComm1Ready									
Dim m_bChildComm2Ready

'Initialisations	
m_iCurrentIDIndex		= 0
m_iNumOfChildren		= 0


'****************************************************************
'*	The XML file is referenced and Elements/attributes assigned	* 
'*	to the corresponding Variables in the following section		*
'****************************************************************
<xsl:for-each select="/LOOP/COMMUNICATION">	
	m_sPresentationGUID ="<xsl:value-of select="@PresentationGUID"/>"	
</xsl:for-each>

<xsl:for-each select="/LOOP/CHILD_COMMUNICATION">
	m_iNumOfChildren = m_iNumOfChildren + 1
	If m_iNumOfChildren = 1 Then
		ReDim m_sChildCommunicationID_Array(m_iNumOfChildren)
	Else
		ReDim Preserve m_sChildCommunicationID_Array(m_iNumOfChildren)
	End if
	m_sChildCommunicationID_Array((m_iNumOfChildren - 1))="<xsl:value-of select="@ID"/>"
</xsl:for-each>

'****************************************************************
'Name		:	window_onload
'DeSCRIPTion:	This is the first function getting called on loading
'				the HTML page constructed by this style sheet,hence 
'				the first commuunication is retreived and launched here
'****************************************************************
Sub window_onload
m_oLog.InitiateLogging "NCRScotland.EnterpriseSolutions.APTRAPromote", "Content", "CommunicationLoop", "CommunicationLoop.xsl"
m_oLog.Trace 5, "window_onload"

	m_bChildComm1Completed	= False
	m_bChildComm2Completed	= False
	m_bChildComm1Ready		= False							
	m_bChildComm2Ready		= False
	m_bFirstPass			= True
	ResizeFrame1
	
	'Initialise the parent Communication and Load the first Child Communication.
	If m_oCommunication.Initialise (m_sPresentationGUID) Then
		m_oLog.Comment "window_onload","Loop Communication Loaded"
		If m_oChildCommunication1.Initialise(m_sPresentationGUID,NextChildID) Then
			window.item("iframe1").location.replace m_oChildCommunication1.PresentationURL			
		Else
			m_oLog.Error 2,"window_onload","The First Communication in the Loop could not be Initialised"
			m_oCommunication.Complete 2 'COMMUNICATION_COMPLETION_FAILED
		End if
	End if			

m_oLog.Trace 6, "window_onload"
End Sub

'************************************************************************************
'Name		:	m_oCommunication_Start
'DeSCRIPTion:	This event is fired by the communication when its Parent Communication 
'				has gotten ready to present the CONTENT  on the consumer screen and has 
'				invoked the "Start" method on this communication.
'************************************************************************************
Sub m_oCommunication_Start
m_oLog.Trace 5, "m_oCommunication_Start"

	m_bFirstPass = False
	
	'Display the First Communication in the Loop
	m_bChildComm1Completed = False
	m_oChildCommunication1.Start
	ResizeFrame1

	m_oCommunication.Complete 1 'COMMUNICATION_COMPLETION_GOOD
	
	'Prepare Communication 2
	window.setTimeout "PrepareFRAME2",1000
	
m_oLog.Trace 6, "m_oCommunication_Start"	
End Sub

'************************************************************************************
'Name		:	m_oCommunication_Cancel
'DeSCRIPTion:	This event is fired by the m_oCommunication itself,when the parent 
'				communication has invoked the cancel method on this m_oCommunication
'************************************************************************************
Sub m_oCommunication_Cancel( s_iStatus , s_strReason)
m_oLog.Trace 5, "m_oCommunication_Cancel",s_iStatus,s_strReason


	m_bChildComm1Completed	= True
	m_bChildComm2Completed	= True
	m_bChildComm1Ready		= False							
	m_bChildComm2Ready		= False
	
	m_oChildCommunication1.Cancel s_iStatus ,s_strReason
	m_oChildCommunication2.Cancel s_iStatus ,s_strReason
	
	m_oCommunication.Complete 3 'COMMUNICATION_COMPLETION_CANCELLED 

m_oLog.Trace 6, "m_oCommunication_Cancel",s_iStatus,s_strReason	
End Sub

'************************************************************************************
'Name		:	m_oChildCommunication1_Completed
'DeSCRIPTion:	This event is fired by the child communication when it has completed  
'				its presentation and can be interrupted.
'************************************************************************************
Sub m_oChildCommunication1_Completed ( s_iStatus)
m_oLog.Trace 5, "m_oChildCommunication1_Completed",s_iStatus

	Select Case s_iStatus
		Case 1,2 'COMMUNICATION_COMPLETION_GOOD or COMMUNICATION_COMPLETION_FAILED
			If m_bChildComm2Ready Then
		
				'Show Comm2
				m_bChildComm2Completed = False
				m_oChildCommunication2.Start
				ResizeFrame2
		
				m_bChildComm2Ready = False
				
				'Prepare Next Communication in FRAME 1
				window.setTimeout "PrepareFRAME1",1000
			Else
				m_bChildComm1Completed = True	
			End If
		Case 3 'COMMUNICATION_COMPLETION_CANCELLED
			'Do nothing since the complete has already been sent.
	End Select		

m_oLog.Trace 6, "m_oChildCommunication1_Completed",s_iStatus
End Sub

'************************************************************************************
'Name		:	PrepareFRAME1
'DeSCRIPTion:	This Sub Retreives a child communication and Navigates "FRAME1" to it.
'************************************************************************************
Sub PrepareFRAME1
m_oLog.Trace 5, "PrepareFRAME1"
		m_oChildCommunication1.Initialise m_sPresentationGUID,NextChildID
		document.all.frame1.style.zIndex = 101	
		window.setTimeout "PrepareFRAME1Async",1	
m_oLog.Trace 6, "PrepareFRAME1"
End sub

Sub  PrepareFRAME1Async
m_oLog.Trace 5, "PrepareFRAME1Async"
  window.item("iframe1").location.replace "about:blank"
  window.item("iframe1").location.replace m_oChildCommunication1.PresentationURL
m_oLog.Trace 6, "PrepareFRAME1Async"
End sub




'************************************************************************************
'Name		:	m_oChildCommunication1_Ready
'DeSCRIPTion:	This event if fired by the Child communication when it has finished 
'				preparing the Presenation and is "Ready" to present it.
'************************************************************************************
Sub m_oChildCommunication1_Ready
m_oLog.Trace 5, "m_oChildCommunication1_Ready"

	If m_bFirstPass = True Then
		m_oLog.Comment "m_oChildCommunication1_Ready","First Time Communicaiton 1 has been Initialised"
		m_oCommunication.Ready		 
	Else
		If m_bChildComm2Completed Then
			
			'Show Comm 1
			m_bChildComm1Completed = False
			m_oChildCommunication1.Start	
			ResizeFrame1		
			
			'Prepare Communication 2
			'Add Error Handling
			window.setTimeout "PrepareFRAME2",1000
		Else
			m_bChildComm1Ready = True	
		End if	
	End If

m_oLog.Trace 6, "m_oChildCommunication1_Ready"
End Sub

'************************************************************************************
'Name		:	m_oChildCommunication2_Completed
'DeSCRIPTion:	This event is fired by the child communication when it has completed  
'				its presentation and can be interrupted.
'************************************************************************************
Sub m_oChildCommunication2_Completed(s_iStatus)
m_oLog.Trace 5, "m_oChildCommunication2_Completed",s_iStatus

	If m_bChildComm1Ready Then
		
		'Show Comm1
		m_bChildComm1Completed = False
		m_oChildCommunication1.Start
		ResizeFrame1

		m_bChildComm1Ready = False

		'Initialise Comm 2
		window.setTimeout "PrepareFRAME2",1000
	Else
		m_bChildComm2Completed = True	
	End If

m_oLog.Trace 6, "m_oChildCommunication2_Completed",s_iStatus
End Sub

'************************************************************************************
'Name		:	PrepareFRAME2
'DeSCRIPTion:	This Sub Retreives a child communication and Navigates "FRAME2" to it.
'************************************************************************************
Sub PrepareFRAME2
m_oLog.Trace 5, "PrepareFRAME2"
		m_oChildCommunication2.Initialise m_sPresentationGUID, NextChildID
		document.all.frame2.style.zIndex = 101
	        window.setTimeout "PrepareFRAME2Async",1
m_oLog.Trace 6, "PrepareFRAME2"
End Sub

Sub  PrepareFRAME2Async
m_oLog.Trace 5, "PrepareFRAME2Async"
	window.item("iframe2").location.replace "about:blank"
  	window.item("iframe2").location.replace m_oChildCommunication2.PresentationURL
m_oLog.Trace 6, "PrepareFRAME2Aysnc"
End sub

'************************************************************************************
'Name		:	m_oChildCommunication2_Ready
'DeSCRIPTion:	This event if fired by the Child communication when it has finished 
'				preparing the Presenation and is "Ready" to present it.
'************************************************************************************
Sub m_oChildCommunication2_Ready
m_oLog.Trace 5, "m_oChildCommunication2_Ready"

	If m_bChildComm1Completed Then
		
		'Show Comm2
		m_bChildComm2Completed = False
		m_oChildCommunication2.Start
		ResizeFrame2
		
		'Initialise Comm 1
		window.setTimeout "PrepareFRAME1",1000
	Else
		m_bChildComm2Ready = True	
	End If

m_oLog.Trace 6, "m_oChildCommunication2_Ready"
End Sub

'************************************************************************************
'Name		:	NextChildID
'DeSCRIPTion:	Retrive the Child ID of the Next Communication to be presented as part 
'				of the loop
'************************************************************************************
Function NextChildID
m_oLog.Trace 5,"NextChildID"

	Dim sChildID
	sChildID = m_sChildCommunicationID_Array(m_iCurrentIDIndex)
	m_iCurrentIDIndex = m_iCurrentIDIndex + 1
	
	If m_iCurrentIDIndex = m_iNumOfChildren Then
		m_iCurrentIDIndex = 0
	End if

	NextChildID = sChildID

m_oLog.Trace 6,"NextChildID"	
End Function

Sub ResizeFrame1
m_oLog.Trace 5,"ResizeFrame1"
	document.all.frame1.style.zIndex =98
	document.all.iframe1.style.width = "100%"
	document.all.iframe1.style.height = "100%"
	'TAR 248421 Flash Animation Flicker
	window.setTimeout "ShowFrame1", 1
m_oLog.Trace 6,"ResizeFrame1"
End Sub

Sub ResizeFrame2
m_oLog.Trace 5,"ResizeFrame2"
	document.all.frame2.style.zIndex =97
	document.all.iframe2.style.width = "100%"
	document.all.iframe2.style.height ="100%"
	'TAR 248421 Flash Animation Flicker
	window.setTimeOut "ShowFrame2", 1
m_oLog.Trace 6,"ResizeFrame2"
End Sub

'TAR 248421 Flash Animation Flicker
Sub ShowFrame1
m_oLog.Trace 5,"ShowFrame1"
	document.all.frame1.style.zIndex =100
	'Srink Frame 2
	document.all.frame2.style.zIndex =97	
	document.all.iframe2.style.width = 3
	document.all.iframe2.style.height = 2
m_oLog.Trace 6,"ShowFrame1"
end sub

'TAR 248421 Flash Animation Flicker
Sub ShowFrame2
m_oLog.Trace 5,"ShowFrame2"
	document.all.frame2.style.zIndex =100
	'Shrink Frame 1
	document.all.frame1.style.zIndex =98	
	document.all.iframe1.style.width = 3
	document.all.iframe1.style.height = 2
m_oLog.Trace 6,"ShowFrame2"	
end sub

</SCRIPT>
<!--
'****************************************************
'		Embedded Objects In this section			'
'****************************************************
-->
<OBJECT
   CLASSID	=	"CLSID:565C4988-82C5-11D6-B100-00B0D04DF908"
   ID		=	"m_oCommunication"
>
</OBJECT>
<OBJECT
   CLASSID	=	"CLSID:565C498B-82C5-11D6-B100-00B0D04DF908"
   ID		=	"m_oChildCommunication1"
>
</OBJECT>
<OBJECT
   CLASSID	=	"CLSID:565C498B-82C5-11D6-B100-00B0D04DF908"                 
   ID		=	"m_oChildCommunication2"
>
</OBJECT>
<OBJECT 
	CLASSID	=	"CLSID:C1114D37-E26B-11D5-B0C3-00B0D04DF908"
	ID		=	"m_oLog" 
>
</OBJECT>
</HEAD>
<BODY 
		BGCOLOR		="#FFFFFF" 
		TEXT		="#000000" 
		RIGHTMARGIN	="0" 
		TOPMARGIN	="0" 
		BOTTOMMARGIN="0" 
		LEFTMARGIN	="0" 
		SCROLL		="NO" 
		BORDER		="0"
		STYLE		= "position:absolute;left:0px;top:0px;border:0px"
	>
<div id="frame1" style="position:absolute;left=0px;top=0px;width=100%;height=100%;z-index=100">
<iframe width="100%" height="100%" name="iframe1" align="left" frameborder="0" scrolling="no"  > </iframe>
</div>

<div id="frame2" style="position:absolute;left=0px;top=0px;width=100%;height=100%;z-index=101">
<iframe width="100%" height="100%" name="iframe2" align="left" frameborder="0" scrolling="no"  > </iframe>
</div>

</BODY>
</HTML>
</xsl:template>
</xsl:stylesheet>