<?xml version="1.0" ?>
<?media-stylesheet version="3"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/TR/WD-xsl">
<xsl:template match="/">
<HTML>
<HEAD>
<!--
'****************************************************
'		Embedded Objects In this section			'
'****************************************************
-->
  <OBJECT 
    CLASSID		= "CLSID:565C4988-82C5-11D6-B100-00B0D04DF908"
    ID			= "m_oCommunication"></OBJECT>

  <OBJECT 
    CLASSID		= "CLSID:C1114D37-E26B-11D5-B0C3-00B0D04DF908"
    ID			= "m_oLog"></OBJECT>

  <META NAME="VI60_defaultClientScript" CONTENT="VBScript"></META>
<!--
*****************************************************************************************
*"The content of this document is NCR Intellectual Property and is the property of		*
*NCR Financial Solutions Group Limited.  It is to be treated as strictly confidential	*
*and is not to be disclosed, reproduced , or used except as authorised in writing by	*
*NCR in connection with the manufacture, maintenance , and use of the NCR equipment to	*
*which it pertains"																		*		
*																						*
*"Copyright 2003 NCR Financial Solutions Group Limited"									*
*                                                                                       *
* 29/05/03 - GR1T 234286 - DocumentComplete event not received when using IE 6.0 SP1    *
*                                                                                       *
*****************************************************************************************
-->
<META http-equiv="CONTENT-Type" CONTENT="TEXT/HTML; charset=iso-8859-1"/>
<SCRIPT ID="clientEventHandlersVBS" LANGUAGE="vbSCRIPT">

'****************************************************************
'Variable Declaration and initialisation.
'
'****************************************************************
Dim m_sPresentationGUID				'GUID of the Current Instance of the Communication Object.
Dim m_sMediaFilePath				'Path of the media file.
Dim m_bInterruptable				'Variable for indicating if the communication is interruptable.
Dim m_bCompleteSent				    'Flag to indicate if the Complete has already been sent.
Dim m_iDurationTimerID				'ID of the timer that runs the m_iTimeOut.
Dim m_iTimeOut_Temp				    'Temporary Variable for holding the string value of timeout
Dim m_iTimeOut					    'Time value (in milliseconds)after which play can be interrupted.
Dim m_bRunLocal
Dim m_bHTMLPage                     'Flag to indicate if media file is an HTML page
Dim m_fpCancelEvent					'Function pointer to cancelEvent function
Dim m_myImage							'Reference to dynamically created IMG tag

'****************************************************************
'*	The XML file is referenced and Elements/attributes assigned	* 
'*	to the corresponding Variables in the following section		*
'****************************************************************
<xsl:for-each select="/BROWSER_MEDIA/COMMUNICATION">
	m_sPresentationGUID="<xsl:value-of select="@PresentationGUID"/>"
</xsl:for-each>

<xsl:for-each select="/BROWSER_MEDIA/MEDIA/SOURCE">	
	m_sMediaFilePath	=	"<xsl:value-of select="@SourceName"/>"
	m_bRunLocal		=	"<xsl:value-of select="@RunLocal"/>"	
</xsl:for-each>

<xsl:for-each select="/BROWSER_MEDIA/MEDIA">	
	m_bInterruptable	=	"<xsl:value-of select="@INTERRUPTABLE"/>"	
	m_iTimeOut_Temp		=	"<xsl:value-of select="@TIME_OUT"/>"	
</xsl:for-each>

'Initialisations
	m_iTimeOut=FormatNumber (m_iTimeOut_Temp,0, vbFalse)
	
'************************************************************************************
'Name		:	window_onload
'DeSCRIPTion:	This Sub is called at the point the communication is loaded.Sets the 
'				ID of the communication OBJECT Navigate to the Media URL.
'************************************************************************************
Sub window_onload
m_oLog.InitiateLogging "NCRScotland.EnterpriseSolutions.APTRAPromote", "Content", "BrowserMedia", "BrowserMedia.xsl"
m_oLog.Trace 5, "window_onload"	

	m_bCompleteSent = False
	m_bHTMLPage = false
	
	'initialise the Parent Communication and Load the media file into the Web Browser Control
	If m_oCommunication.Initialise (m_sPresentationGUID) Then

		'Resolve the full path of the media file.
		GetFullFilePath m_sMediaFilePath				

		'Resolve the extension of the media file
		Dim sFileExtension

		sFileExtension = Right(m_sMediaFilePath,Len(m_sMediaFilePath)-InStrRev(m_sMediaFilePath,"."))
		sFileExtension = UCase(sFileExtension)

		'If media file is an Html file then navigate the WebBrowser,else show the file 
		'in the IMG tag.

		Select Case sFileExtension		    
			Case "GIF","JPG","PNG","BMP","JPEG"
			    'GR1T 234286 - add img element to display jpgs, etc
				m_bHTMLPage = False
				'TAR 254043 - JPGs not resized
				'Now sets the width and height of the image tag to 100 per cent
				dim imgTag
				imgTag = Chr(60) +  "IMG SRC='' WIDTH='100%' HEIGHT='100%'" + Chr(62)
				Set m_myImage = window.frmMedia.document.createElement(imgTag)
				Set m_fpCancelEvent = getRef("cancelEvent")
				'TAR 287681 - Draging media rendered by an IMG tag causes the media to be presented in a new page
				call m_myImage.attachEvent("ondrag",m_fpCancelEvent)
				window.frmMedia.document.body.appendchild m_myImage
				m_myImage.src = m_sMediaFilePath				

			    	m_oCommunication.Ready
			Case Else
			    'GR1T 234286 - navigate frame to web page
			    m_bHTMLPage = True
			    window.frmMedia.navigate(m_sMediaFilePath)
		End Select	
							
	Else
		m_oLog.Comment "window_onload","BrowserMedia Communication could not be Initialised"							
	End If

m_oLog.Trace 6, "window_onload"	
End Sub

Sub window_onunload
	m_oLog.Trace 5, "window_onunload"
	If Not m_bHTMLPage Then
		 On Error Resume Next
    	    call m_myImage.detachEvent("ondrag",m_fpCancelEvent)
         On Error Goto 0		
	End If

	m_oLog.Trace 6, "window_onunload"
End Sub

Function GetMessage
	set GetMessage = m_oCommunication.Message
End Function

Function GetConsumerId
	set GetConsumerId = m_oCommunication.ConsumerId
End Function

Function GetApplicationState
	set GetApplicationState = m_oCommunication.ConsumerApplicationState
End Function

Function cancelEvent(evnt)
	m_oLog.Trace 5, "cancelEvent", evnt
	cancelEvent = false
	m_oLog.Trace 6, "cancelEvent", cancelEvent
End Function

'************************************************************************************
'Name		:	Comm_Timeout
'DeSCRIPTion:	This sub is	used to send Complete event to the parent after 
'				the specified m_iTimeOut period -(from the start of display presentation) 
'				has passed.The Time period is set in the Window.SetTimeOut function.
'************************************************************************************
Sub Comm_Timeout
m_oLog.Trace 5, "Comm_Timeout"
	
	'GR1T 234286 - check if complete method has been called already
	If m_bCompleteSent = False Then
	    m_bCompleteSent = True
		m_oLog.Comment "Comm_Timeout","Communication presented to Completion." 
		m_oCommunication.Complete 1 'COMMUNICATION_COMPLETION_GOOD		
	End If
	
m_oLog.Trace 6, "Comm_Timeout"	
End Sub

'************************************************************************************
'Name		:	m_oCommunication_Cancel
'DeSCRIPTion    :	This event is fired by the m_oCommunication itself,when the parent 
'			communication has invoked the cancel method on this m_oCommunication
'************************************************************************************
Sub m_oCommunication_Cancel( s_iStatus ,  s_strReason)
m_oLog.Trace 5, "m_oCommunication_Cancel",s_iStatus,s_strReason

    'GR1T 234286 - check if complete method has been called already
	If m_bCompleteSent = False Then	

		'Clear the Duration Timer,so that no Completion event is raised on the parent communication.
		window.clearTimeout m_iDurationTimerID

        m_bCompleteSent = True
        
		'Send a Completion event (with cancel) back to Presentation client.
		m_oCommunication.Complete 3 'COMMUNICATION_COMPLETION_CANCELLED	 		

	End If

m_oLog.Trace 6, "m_oCommunication_Cancel",s_iStatus,s_strReason
End Sub

'************************************************************************************
'Name		:	m_oCommunication_Start
'DeSCRIPTion:	This event is fired by the communication when its Parent Communication 
'				has gotten ready to present the CONTENT  on the consumer screen and has 
'				invoked the "Start" method on this communication.
'************************************************************************************
Sub m_oCommunication_Start
m_oLog.Trace 5, "m_oCommunication_Start"

    'GR1T 234286 - if displaying a web page, call the Start method in the web page
	if m_bHTMLPage = True then
On Error Resume Next
		window.frmMedia.Start
		If Err then
			m_oLog.Comment 6, "m_oCommunication_Start", "HTML Media has not implement Start method, this may cause unexpected behaviour"
		End if
	end if
On Error Goto 0
	If (m_bInterruptable = "TRUE") Then
		m_oLog.Comment "m_oCommunication_Start","Interruptable Communication Started."
		
		'GR1T 234286 - set flag to say complete method called
		m_bCompleteSent = True
		
		'Send the Completion signal to the Parent communication.
		'Parent "can" start another communication immediately after receiving the completion.
		m_oCommunication.Complete 1 'COMMUNICATION_COMPLETION_GOOD				 
	Else 
		m_oLog.Comment "m_oCommunication_Start","Non-Interruptable Communication Started."
		
		If m_iTimeOut = 0 Then
			m_iTimeOut = 1
		End If
		'Start the duration timer.
		m_iDurationTimerID = window.setTimeout ("Comm_Timeout",m_iTimeOut)
	End If
m_oLog.Trace 6, "m_oCommunication_Start"
End Sub

'************************************************************************************
'Name		    :	WebPageReady
'DeSCRIPTion	:	GR1T 234286 - This method is called if the presented media is an 
'			        HTML file.  It is called when the HTML is ready to be displayed 
'************************************************************************************
Sub WebPageReady()
m_oLog.Trace 5, "WebPageReady"
	
	m_oCommunication.Ready	
	
m_oLog.Trace 6, "WebPageReady"
End Sub

'************************************************************************************
'Name		:	GetFullFilePath
'DeSCRIPTion:	This function resolves the full path of the file.
'************************************************************************************
Sub GetFullFilePath (ByRef s_FileName)
m_oLog.Trace 5, "GetFullFilePath"

	If m_bRunLocal = "TRUE" Then
		Dim str_FullFileName
		str_FullFileName =window.location.pathNAME
		str_FullFileName = Right(str_FullFileName,Len(str_FullFileName)-1)		
		str_FullFileName = Left(str_FullFileName,InStrRev(str_FullFileName,"\"))
		str_FullFileName = str_FullFileName + s_FileName
	
		str_FullFileName = Replace (str_FullFileName,"%20"," ",1,-1,1)
	
		s_FileName = str_FullFileName
	End If
	
m_oLog.Trace 6, "GetFullFilePath"	
End Sub

</SCRIPT>
<script language="jscript">
//************************************************************************************
//Name		    :	WebPageComplete
//DeSCRIPTion	:	GR1T 234286 - This method is called if the presented media is an
//			        HTML file.  It is called when the HTML file is ready to move on.
//			        This will over-ride the timer that runs for the defined presentation time
//************************************************************************************
function WebPageComplete(result)
{
    m_oLog.Trace(5, "WebPageComplete", result);
    if(m_bCompleteSent == false)
    {
      m_bCompleteSent = true;
      if(result == null) result = 1;
      m_oCommunication.Complete(result);
    }
    m_oLog.Trace(6, "WebPageComplete");
}    
</script>
</HEAD>

<!--
'****************************************************
'		GR1T 234286 - replaced <BODY> with a 
'       frameset.  WebBrowser object removed.
'****************************************************
-->
<frameset name="frameSet" cols="*">
    <frame id="frmMedia" name="Media" src="" SCROLLING="no" HEIGHT= "100%" WIDTH="100%" MARGINHEIGHT="0" MARGINWIDTH="0" FRAMEBORDER="0"></frame>
</frameset>	

</HTML>
</xsl:template>
</xsl:stylesheet>