<?xml version="1.0" ?>
<?media-stylesheet version="1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/TR/WD-xsl">
<xsl:template match="/">
<HTML>
<HEAD>
<META NAME="VI60_defaultClientScript" CONTENT="VBScript"/>
<!--
*****************************************************************************************
*"The content of this document is NCR Intellectual Property and is the property of		*
*NCR Financial Solutions Group Limited.  It is to be treated as strictly confidential	*
*and is not to be disclosed, reproduced , or used except as authorised in writing by	*
*NCR in connection with the manufacture, maintenance , and use of the NCR equipment to	*
*which it pertains"																		*		
*																						*
*"Copyright 2002 NCR Financial Solutions Group Limited"									*
*****************************************************************************************
-->
<SCRIPT ID="clientEventHandlersVBS" LANGUAGE="vbSCRIPT">

'****************************************************************
'Variable Declaration and initialisation.
'****************************************************************
Dim m_sPresentationGUID				'GUID of the Current Instance of the Communication Object.
Dim m_sMediaFilePath				'Path of the media file.
Dim m_bInterruptable				'Variable for indicating if the communication is interruptable.
Dim m_bCompleteSent
Dim m_iTimeOut						'Time value (in milliseconds)after which play can be interrupted.
Dim m_iDurationTimer				'ID of the timer which runs for the m_iTimeOut duration.
Dim m_iTimeOut_Temp					'Temporary Variable for holding the string value of the Timeout.
Dim m_bRunLocal
'****************************************************************
'*	The XML file is referenced and Elements/attributes assigned	* 
'*	to the corresponding Variables in the following section		*
'****************************************************************
<xsl:for-each select="/FLASH_MEDIA/COMMUNICATION">
	m_sPresentationGUID	=	"<xsl:value-of select="@PresentationGUID"/>"
</xsl:for-each>

<xsl:for-each select="/FLASH_MEDIA/MEDIA/SOURCE">	
	m_sMediaFilePath		=	"<xsl:value-of select="@SourceName"/>"
	m_bRunLocal				=	"<xsl:value-of select="@RunLocal"/>"
</xsl:for-each>

<xsl:for-each select="/FLASH_MEDIA/MEDIA">	
	m_bInterruptable		=	"<xsl:value-of select="@INTERRUPTABLE"/>"	
	m_iTimeOut_Temp			=	"<xsl:value-of select="@TIME_OUT"/>"	
</xsl:for-each>
	
	m_iTimeOut=FormatNumber(m_iTimeOut_Temp,0, vbFalse)
	
'************************************************************************************
'Name		:	window_onload
'DeSCRIPTion:	This Sub is called at the point the communication is loaded.Sets the 
'				ID of the communication OBJECT and loads the Media file into the Displayer.
'************************************************************************************
Sub window_onload
m_oLog.InitiateLogging "NCRScotland.EnterpriseSolutions.APTRAPromote", "Content", "FlashAnimation", "FlashAnimation.xsl"
m_oLog.Trace 5, "window_onload"
	
	m_bCompleteSent = False

	
	'Initialise the Parent Communication and Load the Media File.
	If m_oCommunication.Initialise (m_sPresentationGUID) Then	
		GetFullFilePath m_sMediaFilePath
		
		'GR1T 241723 set bgcolor to -1 to use the background color of the movie
		'prevents issue with transparent layers showing background color of
		'the previous movie
		m_oFlashPlayer.bgcolor = -1
		'Load the Flash Media file into the FlashPlayer.
		m_oFlashPlayer.Movie = m_sMediaFilePath
	Else		
		m_oLog.Comment "window_onload","Flash Animation Communication could not be Initialised"							
	End If	

m_oLog.Trace 6, "window_onload"	
End Sub

'************************************************************************************
'Name		:	Comm_Timeout
'DeSCRIPTion:	This Sub is called by the DOM after the "interval" Milliseconds 
'				have elapsed from the time TimeOut interval was set by Window.SetTimeOut 
'				method.Here This sub is	used to send Complete event to the parent after 
'				the specified m_iTimeOut period -(from the start of display presentation) 
'				has passed.	
'************************************************************************************
Sub Comm_Timeout
m_oLog.Trace 5, "Comm_Timeout"

	If m_bCompleteSent = False Then
		m_oLog.Comment "Comm_Timeout","Communication presented to Completion." 
		m_oCommunication.Complete 1 'COMMUNICATION_COMPLETION_GOOD
		m_bCompleteSent = True
	End If	

m_oLog.Trace 6, "Comm_Timeout"	
End Sub

'************************************************************************************
'Name		:	m_oCommunication_Cancel
'DeSCRIPTion:	This event is fired by the m_oCommunication itself,when the parent 
'				communication has invoked the cancel method on this m_oCommunication
'************************************************************************************
Sub m_oCommunication_Cancel( s_iStatus,  s_strReason)
m_oLog.Trace 5, "m_oCommunication_Cancel"

	If m_bCompleteSent = False Then
		Window.clearTimeout m_iDurationTimer
		m_oCommunication.Complete 3 'COMMUNICATION_COMPLETION_CANCELLED
		m_bCompleteSent = True
	End If
m_oLog.Trace 6, "m_oCommunication_Cancel"
End Sub

'************************************************************************************
'Name		:	m_oCommunication_Start
'DeSCRIPTion:	This event is fired by the communication when its Parent Communication 
'				has gotten ready to present the CONTENT  on the consumer screen and has 
'				invoked the "Start" method on this communication.
'GR1T# 231400 - Flash animation was playing before being visible to the user.  Therefore 
'didn't display from the start as expected when in a loop
'************************************************************************************
Sub m_oCommunication_Start
m_oLog.Trace 5, "m_oCommunication_Start"

	m_oFlashPlayer.Playing = True

	If (m_bInterruptable = "TRUE") Then
		m_oLog.Comment "m_oCommunication_Start","Interruptable Communication Started."

		m_oCommunication.Complete 1 'COMMUNICATION_COMPLETION_GOOD 
	Else 
		m_oLog.Comment "m_oCommunication_Start","Non-Interruptable Communication Started."
		If m_iTimeOut = 0 Then
			m_iTimeOut = 1
		End If
		m_iDurationTimer = window.setTimeout ("Comm_Timeout",m_iTimeOut)
	End If	 
m_oLog.Trace 6, "m_oCommunication_Start"
End Sub

'************************************************************************************
'Name		:	m_oFlashPlayer_OnReadyStateChange
'DeSCRIPTion: 	This event is fired by the Flash Player whenever the state of the player 
'				changes.Here it is used to find out when the required media file 
'				is fully loaded.
'GR1T# 231400 - Flash animation was playing before being visible to the user.  Therefore 
'didn't display from the start as expected when in a loop
'************************************************************************************
Sub m_oFlashPlayer_OnReadyStateChange(ready)
m_oLog.Trace 5, "m_oFlashPlayer_OnReadyStateChange",ready

	'"Loaded" = 4 in the Flash player OBJECT.
	If (ready = 4) Then 
		m_oFlashPlayer.Playing = False
		m_oLog.Comment "m_oFlashPlayer_OnReadyStateChange","File loaded fully.Ready for presentation" 
		m_oCommunication.Ready 
	End If	

m_oLog.Trace 6, "m_oFlashPlayer_OnReadyStateChange",ready
End Sub

'************************************************************************************
'Name		:	GetFullFilePath
'DeSCRIPTion:	This function resolves the full path of the file.
'************************************************************************************
Sub GetFullFilePath (ByRef s_FileName)
m_oLog.Trace 5, "GetFullFilePath"

	If m_bRunLocal = "TRUE" Then
		Dim str_FullFileName
		str_FullFileName =window.location.pathNAME
		str_FullFileName = Right(str_FullFileName,Len(str_FullFileName)-1)		
		str_FullFileName = Left(str_FullFileName,InStrRev(str_FullFileName,"\"))
		str_FullFileName = str_FullFileName + s_FileName
	
		str_FullFileName = Replace (str_FullFileName,"%20"," ",1,-1,1)
	
		s_FileName = str_FullFileName
	End If
	
m_oLog.Trace 6, "GetFullFilePath"	
End Sub
</SCRIPT>
<!--
'****************************************************
'		Embedded Objects In this section			'
'****************************************************
-->
<OBJECT 
	CLASSID			= "CLSID:565C4988-82C5-11D6-B100-00B0D04DF908"
	ID				= "m_oCommunication"
>
</OBJECT>
<OBJECT 
	CLASSID			= "CLSID:C1114D37-E26B-11D5-B0C3-00B0D04DF908"
	ID				= "m_oLog" 
>
</OBJECT>
</HEAD>
	<BODY 
		BGCOLOR		="#FFFFFF" 
		TEXT		="#000000" 
		RIGHTMARGIN	="0" 
		TOPMARGIN	="0" 
		BOTTOMMARGIN="0" 
		LEFTMARGIN	="0" 
		SCROLL		="NO" 
		BORDER		="0"
		STYLE		= "position:absolute;left:0px;top:0px;border:0px"
		>
		<OBJECT 
			Id		=	"m_oFlashPlayer"
			CLASSID	=	"CLSID:D27CDB6E-AE6D-11cf-96B8-444553540000" 	 	
			WIDTH	=	"100%" 
			HEIGHT	=	"100%"
		>
			<PARAM 	NAME="movie" 		value="blank.swf"/>
			<PARAM 	NAME="quality" 	    value="high"/>
			<PARAM  NAME="SCALE"		value="EXACTFIT"/>
		</OBJECT>
	</BODY>
</HTML>
</xsl:template>
</xsl:stylesheet>